
#ifndef __GETSYSSCANLOG_H__
#define __GETSYSSCANLOG_H__



// Data types
typedef struct SaveData{
	char*	host;
	char*	VulName;
	char*	ObjName;
	char*	Description;
	int		Vuln;
} *LPSaveData;

// Program arguments
#define TEMP_FILE	1
#define PATH_TO_CON	5
#define HOST_FILE	6

// Handle to actuator log file.
HANDLE logFile;

// String to store time
char szTime[20];

// Strings whith reports.
char* cCSVDet=NULL;
char* cCSVSum=NULL;

TCHAR szHostFile[1024];

// Functions forvard declarations.
void ClearFiles(LPTSTR);
BOOL RetrieveReports(LPTSTR);
void LogMessage(LPTSTR);
BOOL ReadReports(LPTSTR);
BOOL SaveReports(LPTSTR);
void ParseSumString(char*, LPSaveData);
BOOL WriteDataToFile(HANDLE,SaveData);
void ParseDetString(char*, LPSaveData);
char* GetDetVName(char*);
BOOL CreateInput(TCHAR* path, TCHAR* hosts);



#endif  //__GETSYSSCANLOG_H__